Package org.apache.avro.ipc

# Class LocalTransceiver

java.lang.Object
org.apache.avro.ipc.Transceiver
org.apache.avro.ipc.LocalTransceiver

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class LocalTransceiver extends Transceiver
Implementation of IPC that remains in process.

## Constructor Summary

Constructors
Constructor
Description
`LocalTransceiver(Responder responder)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRemoteName()`
`List<ByteBuffer>`
`readBuffers()`
Called by the default definition of `Transceiver.transceive(List)`.
`List<ByteBuffer>`
`transceive(List<ByteBuffer> request)`
Called by `Requestor.request(String,Object)` for two-way messages.
`void`
`writeBuffers(List<ByteBuffer> buffers)`
Called by `Requestor.request(String,Object)` for one-way messages.

### Methods inherited from class org.apache.avro.ipc.Transceiver

`close, getRemote, isConnected, lockChannel, setRemote, transceive, unlockChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalTransceiver

public LocalTransceiver(Responder responder)

## Method Details

### getRemoteName

public String getRemoteName()

Specified by:
  `getRemoteName` in class `Transceiver`

### transceive

public List<ByteBuffer> transceive(List<ByteBuffer> request) throws IOException
Description copied from class: `Transceiver`
Called by `Requestor.request(String,Object)` for two-way messages. By default calls `Transceiver.writeBuffers(List)` followed by `Transceiver.readBuffers()`.

Overrides:
  `transceive` in class `Transceiver`
Throws:
  `IOException`

### readBuffers

public List<ByteBuffer> readBuffers() throws IOException
Description copied from class: `Transceiver`
Called by the default definition of `Transceiver.transceive(List)`.

Specified by:
  `readBuffers` in class `Transceiver`
Throws:
  `IOException`

### writeBuffers

public void writeBuffers(List<ByteBuffer> buffers) throws IOException
Description copied from class: `Transceiver`
Called by `Requestor.request(String,Object)` for one-way messages.

Specified by:
  `writeBuffers` in class `Transceiver`
Throws:
  `IOException`